<?php
require_once('system/func.php');
$title = 'Лучшие игроки';
require_once('system/header.php');
auth(); // Закроем от гостей 
$set['p_str'] = 10;
$k_post = 1000;



$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = mysql_query("SELECT * FROM `users` ORDER BY `str`+`def`+`max_health` DESC, `online` DESC LIMIT $start, $set[p_str]");
//echo "<div class='header'><a href='/clans/'> <span class='lime'> ".img('other','clan.png')." Рейтинг кланов </span></s></div>"; 

$i = 0;
while ($post = mysql_fetch_assoc($q)) {

    $i ++;


    if ($i < 11) {
        //if ($myID == $post['id']) {
            //echo div('block_l');
        //} else {
            echo div('wrapper');
        }
        echo $i + $start . ".    <a href='/profile/$post[id]' data-ajax><font color='$post[color]'>$post[login]</font></a>,  $post[level] ур.<br>";
        echo " " . ico('icons', 'str.png') . " <span class='white'>$post[str] " . ico('icons', 'def.png') . " </span> <span class='white'>$post[def] </span> <span class='white'>" . ico('icons', 'health.png') . " $post[max_health]</span>";

        echo "</div>";

        if ($page == 1) {
        }
    }

//}

$q = mysql_fetch_array(mysql_query("SELECT * FROM `users` ORDER BY `str`+`def`+`max_health` DESC, `online` DESC LIMIT $start, $set[p_str]"));

if ($q > 10) {
    echo div('header');

    str('?', $k_page, $page); // Вывод страниц
    echo "</div>";
}

$q = mysql_query("SELECT * FROM `users` ORDER BY `str`+`def`+`max_health` DESC, `online` DESC");
while($post = mysql_fetch_assoc($q)){
$a++;
if($post['id'] == $myID){
    if($a <= 1000)echo "<div class='header'><span class='gold'>Вы находитесь на <b>$a</b> месте в рейтинге!</span></div>";
    else echo "<div class='block'>Вы не участвуете в рейтинге...</div>";
    require_once ('system/footer.php');

}
}
require_once('system/footer.php');
?>